Bug 171197 - perl: double free or corruption (!prev)
perl: double free or corruption (!prev)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 08:11 EDT by Radek Vokal
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 03:33:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output (215.06 KB, application/octet-stream)
2005-10-19 08:12 EDT, Radek Vokal
no flags Details
perl module (3.14 KB, application/x-perl)
2005-10-19 08:13 EDT, Radek Vokal
no flags Details

  None (edit)
Description Radek Vokal 2005-10-19 08:11:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b5) Gecko/20051008 Fedora/1.5-0.5.0.beta2 Firefox/1.4.1

Description of problem:
A sample perl module for net-snmp causes double free corruption 

# perl ./perl_module.pl
starting perl_module.pl
perl_module.pl loaded ok
registering at netSnmp.999
NET-SNMP version 5.2.2.rc1 AgentX subagent connected
started us as a subagent (NetSNMP::agent=HASH(0x917c360))
shutting down
mainloop excercised
*** glibc detected *** perl: double free or corruption (!prev): 0x091c3768 ***



Version-Release number of selected component (if applicable):
perl-5.8.7-0.5.fc5.i386

How reproducible:
Always

Steps to Reproduce:
1. start net-snmp
add following line to snmpd.conf 

master agentx
 
2. start perl module (perl /path/to/perl_module.pl)
3. hit ctrl-c
  

Additional info:

testing with rawhide net-snmp
Comment 1 Radek Vokal 2005-10-19 08:12:50 EDT
Created attachment 120156 [details]
strace output
Comment 2 Radek Vokal 2005-10-19 08:13:22 EDT
Created attachment 120157 [details]
perl module
Comment 3 Warren Togami 2005-10-19 10:32:15 EDT
Could you please test this in previous dists, especially RHEL versions?
Comment 4 Radek Vokal 2005-10-19 10:41:49 EDT
This worked on RHEL3, works on RHEL4, only rawhide seems to be broken. 
Comment 5 Warren Togami 2005-10-19 10:47:53 EDT
Thanks for the analysis.  Can someone in the perl team report this upstream and
cross-reference with bug numbers?
Comment 6 Jason Vas Dias 2005-10-24 17:30:39 EDT
I cannot reproduce this bug with net-snmp-5.2.1.2-3, glibc-2.3.90-15, and
perl-5.8.7-0.5.fc5 .

I added the 'master agentx' to the default /etc/snmp/snmpd.conf file .

$ ./perl_module.pl
starting perl_module.pl
perl_module.pl loaded ok
registering at netSnmp.999
started us as a subagent (NetSNMP::agent=HASH(0x90514cc))
( pressed CTRL-C )
shutting down
mainloop excercised

I repeated this 10 times in a row with no glibc double free detected and a
0 exit status . The /var/net-snmp/perl.conf file was written OK .

Can you still reproduce this ? 

If so, does the /etc/snmp/snmpd.conf configuration file you use differ in any
way from the default, with 'master agentx' added at the end ?

Comment 7 Radek Vokal 2005-10-25 03:33:59 EDT
Seems to be gone

# rpm -q perl glibc
perl-5.8.7-0.5.fc5.i386
glibc-2.3.90-14.i686

Can't say if it was glibc issue, I keep my test box rawhide up2date :) 

Closing as rawhide

Note You need to log in before you can comment on or make changes to this bug.